CM2HTML(1)

NAME
cm2html - convert CommonMark file to HTML document

SYNOPSIS
cm2html [options] [<source> [<destination>]]

DESCRIPTION
Generate html document from markdown sources. Reads from <source> (default is stdin) and writes to <destination> (default is stdout). See <http://docutils.sf.net/docs/user/config.html> for the full reference.

OPTIONS

  General Docutils Options:

--title=TITLE
    Specify the document title as metadata.

--generator, -g
    Include a "Generated by Docutils" credit and link.

--no-generator
    Do not include a generator credit.

--date, -d
    Include the date at the end of the document (UTC).

--time, -t
    Include the time & date (UTC).

--no-datestamp
    Do not include a datestamp of any kind.

--source-link, -s
    Include a "View document source" link.

--source-url=<URL>
    Use <URL> for a source link; implies --source-link.

--no-source-link
    Do not include a "View document source" link.

--toc-entry-backlinks
    Link from section headers to TOC entries. (default)

--toc-top-backlinks
    Link from section headers to the top of the TOC.

--no-toc-backlinks
    Disable backlinks to the table of contents.

--footnote-backlinks
    Link from footnotes/citations to references. (default)

--no-footnote-backlinks
    Disable backlinks from footnotes and citations.

--section-numbering
    Enable section numbering by Docutils. (default)

--no-section-numbering
    Disable section numbering by Docutils.

--strip-comments
    Remove comment elements from the document tree.

--leave-comments
    Leave comment elements in the document tree. (default)

--strip-elements-with-class=<class>
    Remove all elements with classes="<class>" from the document tree. Warning: potentially dangerous; use with caution. (Multiple-use option.)

--strip-class=<class>
    Remove all classes="<class>" attributes from elements in the document tree. Warning: potentially dangerous; use with caution. (Multiple-use option.)

--report=<level>, -r <level>
    Report system messages at or higher than <level>: "info" or "1", "warning"/"2" (default), "error"/"3", "severe"/"4", "none"/"5"

--verbose, -v
    Report all system messages. (Same as "--report=1".)

--quiet, -q
    Report no system messages. (Same as "--report=5".)

--halt=<level>
    Halt execution at system messages at or above <level>. Levels as in --report. Default: 4 (severe).

--strict
    Halt at the slightest problem. Same as "--halt=info".

--exit-status=<level>
    Enable a non-zero exit status for non-halting system messages at or above <level>. Default: 5 (disabled).

--debug
    Enable debug-level system messages and diagnostics.

--no-debug
    Disable debug output. (default)

--warnings=<file>
    Send the output of system messages to <file>.

--traceback
    Enable Python tracebacks when Docutils is halted.

--no-traceback
    Disable Python tracebacks. (default)

--input-encoding=<name[:handler]>, -i <name[:handler]>
    Specify the encoding and optionally the error handler of input text. Default: <locale-dependent>:strict.

--input-encoding-error-handler=INPUT_ENCODING_ERROR_HANDLER
    Specify the error handler for undecodable characters. Choices: "strict" (default), "ignore", and "replace".

--output-encoding=<name[:handler]>, -o <name[:handler]>
    Specify the text encoding and optionally the error handler for output. Default: UTF-8:strict.

--output-encoding-error-handler=OUTPUT_ENCODING_ERROR_HANDLER
    Specify error handler for unencodable output characters; "strict" (default), "ignore", "replace", "xmlcharrefreplace", "backslashreplace".

--error-encoding=<name[:handler]>, -e <name[:handler]>
    Specify text encoding and error handler for error output. Default: ascii:backslashreplace.

--error-encoding-error-handler=ERROR_ENCODING_ERROR_HANDLER
    Specify the error handler for unencodable characters in error output. Default: backslashreplace.

--language=<name>, -l <name>
    Specify the language (as BCP 47 language tag). Default: en.

--record-dependencies=<file>
    Write output file dependencies to <file>.

--config=<file>
    Read configuration settings from <file>, if it exists.

--version, -V
    Show this program's version number and exit.

--help, -h
    Show this help message and exit.

  Standalone Reader:

--no-doc-title
    Disable the promotion of a lone top-level section title to document title (and subsequent section title to document subtitle promotion; enabled by default).

--no-doc-info
    Disable the bibliographic field list transform (enabled by default).

--section-subtitles
    Activate the promotion of lone subsection titles to section subtitles (disabled by default).

--no-section-subtitles
    Deactivate the promotion of lone subsection titles.

  HTML-Specific Options:

--template=<file>
    Specify the template file (UTF-8 encoded). Default is "/usr/share/docutils/writers/html4css1/template.txt".

--stylesheet=<URL[,URL,...]>
    Comma separated list of stylesheet URLs. Overrides previous --stylesheet and --stylesheet-path settings.

--stylesheet-path=<file[,file,...]>
    Comma separated list of stylesheet paths. Relative paths are expanded if a matching file is found in the --stylesheet-dirs. With --link-stylesheet, the path is rewritten relative to the output HTML file. Default: "html4css1.css"

--embed-stylesheet
    Embed the stylesheet(s) in the output HTML file. The stylesheet files must be accessible during processing. This is the default.

--link-stylesheet
    Link to the stylesheet(s) in the output HTML file. Default: embed stylesheets.

--stylesheet-dirs=<dir[,dir,...]>
    Comma-separated list of directories where stylesheets are found. Used by --stylesheet-path when expanding relative path arguments. Default: "['.', '/usr/share/docutils/writers/html4css1']"

--initial-header-level=<level>
    Specify the initial header level. Default is 1 for "<h1>". Does not affect document title & subtitle (see --no-doc-title).

--field-name-limit=<level>
    Specify the maximum width (in characters) for onecolumn field names. Longer field names will span an entire row of the table used to render the field list. Default is 14 characters. Use 0 for "no limit".

--option-limit=<level>
    Specify the maximum width (in characters) for options in option lists. Longer options will span an entire row of the table used to render the option list. Default is 14 characters. Use 0 for "no limit".

--footnote-references=<format>
    Format for footnote references: one of "superscript" or "brackets". Default is "brackets".

--attribution=<format>
    Format for block quote attributions: one of "dash" (em-dash prefix), "parentheses"/"parens", or "none". Default is "dash".

--compact-lists
    Remove extra vertical whitespace between items of "simple" bullet lists and enumerated lists. Default: enabled.

--no-compact-lists
    Disable compact simple bullet and enumerated lists.

--compact-field-lists
    Remove extra vertical whitespace between items of simple field lists. Default: enabled.

--no-compact-field-lists
    Disable compact simple field lists.

--table-style=TABLE_STYLE
    Added to standard table classes. Defined styles: "borderless". Default: ""

--math-output=MATH_OUTPUT
    Math output format, one of "MathML", "HTML", "MathJax" or "LaTeX". Default: "HTML math.css"

--no-xml-declaration
    Omit the XML declaration. Use with caution.

--cloak-email-addresses
    Obfuscate email addresses to confuse harvesters while still keeping email links usable with standardscompliant browsers.

AUTHOR
Steve Genoud and Luca Barbato

COPYRIGHT
Copyright (C) 2014 Steve Genoud and Luca Barbato